Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class TabPanelTagHandlerBase

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              com.sun.facelets.tag.jsf.ComponentHandler
                  org.ajax4jsf.webapp.taglib.AjaxComponentHandler
                      org.richfaces.taglib.TabPanelTagHandlerBase

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

Direct Known Subclasses:
  TabPanelTagHandler

    public abstract class TabPanelTagHandlerBase

extends org.ajax4jsf.webapp.taglib.AjaxComponentHandler

Created 23.08.2007

Since:
  3.1
Author:
  Nick Belaevski

Field Summary

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`TabPanelTagHandlerBase(com.sun.facelets.tag.jsf.ComponentConfig config)`

Method Summary
`protected com.sun.facelets.tag.MetaRuleset` | `createMetaRuleset(java.lang.Class type)`

Methods inherited from class com.sun.facelets.tag.jsf.ComponentHandler
`apply, applyNextHandler, createComponent, getFacetName, getId, onComponentCreated, onComponentPopulated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabPanelTagHandlerBase

    public TabPanelTagHandlerBase(com.sun.facelets.tag.jsf.ComponentConfig config)

Method Detail

### createMetaRuleset

    protected com.sun.facelets.tag.MetaRuleset createMetaRuleset(java.lang.Class type)

  Overrides:
    `createMetaRuleset` in class `org.ajax4jsf.webapp.taglib.AjaxComponentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.